Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/ProblemData.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/ProblemData.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/ProblemData.cs	(revision 15018)
@@ -1611,5 +1611,5 @@
 
     [StorableConstructor]
-    private ProblemData(bool deserializing) : base(deserializing) { }
+    private ProblemData(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Solution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Solution.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Solution.cs	(revision 15018)
@@ -68,5 +68,5 @@
 
     [StorableConstructor]
-    protected Solution(bool deserializing) : base(deserializing) { }
+    protected Solution(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Solution(Solution original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Model.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Model.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Model.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected Model(bool deserializing) : base(deserializing) { }
+    protected Model(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Model(Model original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Evaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Evaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Evaluator.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public abstract class SingleObjectiveEvaluator : SymbolicDataAnalysisSingleObjectiveEvaluator<IProblemData>, ISingleObjectiveEvaluator {
     [StorableConstructor]
-    protected SingleObjectiveEvaluator(bool deserializing) : base(deserializing) { }
+    protected SingleObjectiveEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SingleObjectiveEvaluator(SingleObjectiveEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Problem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Problem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Problem.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected SingleObjectiveProblem(bool deserializing) : base(deserializing) { }
+    protected SingleObjectiveProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SingleObjectiveProblem(SingleObjectiveProblem original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) { return new SingleObjectiveProblem(this, cloner); }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ProfitEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ProfitEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ProfitEvaluator.cs	(revision 15018)
@@ -33,5 +33,5 @@
   public class ProfitEvaluator : SingleObjectiveEvaluator {
     [StorableConstructor]
-    protected ProfitEvaluator(bool deserializing) : base(deserializing) { }
+    protected ProfitEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ProfitEvaluator(ProfitEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/SharpeRatioEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/SharpeRatioEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/SharpeRatioEvaluator.cs	(revision 15018)
@@ -33,5 +33,5 @@
   public class SharpeRatioEvaluator : SingleObjectiveEvaluator {
     [StorableConstructor]
-    protected SharpeRatioEvaluator(bool deserializing) : base(deserializing) { }
+    protected SharpeRatioEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SharpeRatioEvaluator(SharpeRatioEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/TrainingBestSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/TrainingBestSolutionAnalyzer.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/TrainingBestSolutionAnalyzer.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private TrainingBestSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    private TrainingBestSolutionAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     private TrainingBestSolutionAnalyzer(TrainingBestSolutionAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public TrainingBestSolutionAnalyzer()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ValidationBestSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ValidationBestSolutionAnalyzer.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ValidationBestSolutionAnalyzer.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    private ValidationBestSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    private ValidationBestSolutionAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ValidationBestSolutionAnalyzer(ValidationBestSolutionAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public ValidationBestSolutionAnalyzer()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Solution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Solution.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Solution.cs	(revision 15018)
@@ -60,5 +60,5 @@
 
     [StorableConstructor]
-    private SymbolicSolution(bool deserializing)
+    private SymbolicSolution(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
